> For the complete documentation index, see [llms.txt](https://docs.ndi.video/all/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndi.video/all/faq/sdk/where-can-i-find-the-source-code-for-the-fpga-board.md).

# Where can I find the source code for the FPGA board?

The [NDI Advanced SDK](https://ndi.video/for-developers/ndi-advanced/) contains the **VHDL** source that is available for the [NDI ](https://ndi.video/)codec cores.  The low-level encode and decode functions are currently provided as an encrypted library.&#x20;

Source code for the FPGA examples can be found in the `fpga_reference_design` directory which includes the following content:

| Filename        | Contents                                                    |
| --------------- | ----------------------------------------------------------- |
| `README.md`     | High level overview of the provided example projects        |
| `README.uSD.md` | Details on using the prebuilt uSD images                    |
| `CHANGELOG.md`  | List of notable changes                                     |
| `src/cpp`       | Software source code and example projects                   |
| `src/fpga`      | Hardware design files and example projects                  |
| `linux_kernel`  | Projects to build kernel and boot loader                    |
| `os_uSD`        | Scripts to generate root filesystem and bootable uSD images |

For more detailed information please see the [NDI FPGA Reference Design](broken://pages/GguK7pObvEcrQngAhw0u)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ndi.video/all/faq/sdk/where-can-i-find-the-source-code-for-the-fpga-board.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
